package javax.swing.plaf.metal;

import javax.swing.JComponent;
import java.awt.Graphics;
import java.awt.Component;
import java.io.Serializable;
import javax.swing.Icon;

public class MetalComboBoxIcon implements Icon, Serializable
{
    public MetalComboBoxIcon() {
    }
    
    @Override
    public void paintIcon(Component component, Graphics graphics, int n, int n2) {
        JComponent component2 = (JComponent)component;
        int iconWidth = this.getIconWidth();
        graphics.translate(n, n2);
        graphics.setColor(component2.isEnabled() ? MetalLookAndFeel.getControlInfo() : MetalLookAndFeel.getControlShadow());
        graphics.drawLine(0, 0, iconWidth - 1, 0);
        graphics.drawLine(1, 1, 1 + (iconWidth - 3), 1);
        graphics.drawLine(2, 2, 2 + (iconWidth - 5), 2);
        graphics.drawLine(3, 3, 3 + (iconWidth - 7), 3);
        graphics.drawLine(4, 4, 4 + (iconWidth - 9), 4);
        graphics.translate(-n, -n2);
    }
    
    @Override
    public int getIconWidth() {
        return 10;
    }
    
    @Override
    public int getIconHeight() {
        return 5;
    }
}
